# MCS_UserId Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_UserId:

List of all members.

## Public Member Functions

| MCS_UserId (unsigned tag=UniversalInteger, TagClass tagClass=UniversalTagClass)
MCS_UserId & | operator= (int v)
MCS_UserId & | operator= (unsigned v)
PObject * | Clone () const

## Constructor & Destructor Documentation

MCS_UserId::MCS_UserId | ( | unsigned | tag = `UniversalInteger`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_UserId& MCS_UserId::operator= | ( | int | v | ) |

Reimplemented from MCS_DynamicChannelId.

MCS_UserId& MCS_UserId::operator= | ( | unsigned | v | ) |

Reimplemented from MCS_DynamicChannelId.

PObject* MCS_UserId::Clone | ( |  | ) | const

Reimplemented from MCS_DynamicChannelId.

The documentation for this class was generated from the following file:

- mcs.h